/// <reference types="google.maps" />

import * as react from 'react';
import { ComponentProps } from 'react';
import { C as CommonProps } from '../types-6fqaupRi.js';

type PolygonProps = ComponentProps<typeof Polygon>;
declare const Polygon: react.ForwardRefExoticComponent<Partial<{
    onClick: (this: google.maps.Polygon, e: google.maps.PolyMouseEvent) => void;
    onContextMenu: (this: google.maps.Polygon, e: google.maps.PolyMouseEvent) => void;
    onDblClick: (this: google.maps.Polygon, e: google.maps.PolyMouseEvent) => void;
    onMouseDown: (this: google.maps.Polygon, e: google.maps.PolyMouseEvent) => void;
    onMouseUp: (this: google.maps.Polygon, e: google.maps.PolyMouseEvent) => void;
    onMouseMove: (this: google.maps.Polygon, e: google.maps.PolyMouseEvent) => void;
    onMouseOut: (this: google.maps.Polygon, e: google.maps.PolyMouseEvent) => void;
    onMouseOver: (this: google.maps.Polygon, e: google.maps.PolyMouseEvent) => void;
    onRightClick: (this: google.maps.Polygon, e: google.maps.PolyMouseEvent) => void;
    onDrag: (this: google.maps.Polygon, e: google.maps.MapMouseEvent) => void;
    onDragEnd: (this: google.maps.Polygon, e: google.maps.MapMouseEvent) => void;
    onDragStart: (this: google.maps.Polygon, e: google.maps.MapMouseEvent) => void;
} & {
    draggable: boolean;
    editable: boolean;
    paths: NonNullable<any[] | google.maps.MVCArray<any>>;
    visible: boolean;
} & CommonProps<google.maps.Polygon>> & react.RefAttributes<google.maps.Polygon>>;

export { type PolygonProps, Polygon as default };
