/// <reference types="google.maps" />

import * as react from 'react';
import { ComponentProps } from 'react';
import { C as CommonProps } from '../types-6fqaupRi.cjs';

type RectangleProps = ComponentProps<typeof Rectangle>;
declare const Rectangle: react.ForwardRefExoticComponent<Partial<{
    onBoundsChanged: (this: google.maps.Rectangle, bounds: google.maps.LatLngBounds) => void;
    onClick: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onContextMenu: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onDblClick: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onDrag: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onDragEnd: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onDragStart: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onMouseDown: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onMouseMove: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onMouseOut: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onMouseOver: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onMouseUp: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
    onRightClick: (this: google.maps.Rectangle, e: google.maps.MapMouseEvent) => void;
} & {
    bounds: NonNullable<google.maps.LatLngBounds | google.maps.LatLngBoundsLiteral | null>;
    draggable: boolean;
    editable: boolean;
    visible: boolean;
} & CommonProps<google.maps.Rectangle>> & react.RefAttributes<google.maps.Rectangle>>;

export { type RectangleProps, Rectangle as default };
