/// <reference types="google.maps" />

import { GoogleMapsLibrary } from 'google-maps-js-api-loader';

/**
 * Hook for getting status of {@link google.maps} script or specific {@link library}
 * > It not provokes loading of script/library
 */
declare const useGoogleMapsStatus: (library?: GoogleMapsLibrary) => "none" | "loading" | "loaded" | "error";

export { useGoogleMapsStatus as default };
