/// <reference types="google.maps" />

import * as react from 'react';
import { ComponentProps } from 'react';
import { C as CommonProps, P as PreventLoadProps } from '../types-6fqaupRi.cjs';

type HeatmapLayerProps = ComponentProps<typeof HeatmapLayer>;
declare const HeatmapLayer: react.ForwardRefExoticComponent<Partial<{} & {
    data: NonNullable<google.maps.MVCArray<google.maps.LatLng | google.maps.visualization.WeightedLocation> | (google.maps.LatLng | google.maps.visualization.WeightedLocation)[]>;
} & CommonProps<google.maps.visualization.HeatmapLayer>> & PreventLoadProps & react.RefAttributes<google.maps.visualization.HeatmapLayer>>;

export { type HeatmapLayerProps, HeatmapLayer as default };
