/// <reference types="google.maps" />

import * as react from 'react';
import { ComponentProps } from 'react';
import { C as CommonProps, P as PreventLoadProps } from '../types-6fqaupRi.cjs';

type MarkerProps = ComponentProps<typeof Marker>;
/** @deprecated */
declare const Marker: react.ForwardRefExoticComponent<Partial<{
    onAnimationChanged: (this: google.maps.Marker, animation: NonNullable<google.maps.Animation | null | undefined>) => void;
    onClickableChanged: (this: google.maps.Marker, clickable: boolean) => void;
    onCursorChanged: (this: google.maps.Marker, cursor: string) => void;
    onDraggableChanged: (this: google.maps.Marker, draggable: boolean) => void;
    onFlatChanged: (this: google.maps.Marker) => void;
    onIconChanged: (this: google.maps.Marker, icon: NonNullable<string | google.maps.Icon | google.maps.Symbol | null | undefined>) => void;
    onPositionChanged: (this: google.maps.Marker, position: google.maps.LatLng) => void;
    onShapeChanged: (this: google.maps.Marker, shape: google.maps.MarkerShape) => void;
    onTitleChanged: (this: google.maps.Marker, title: string) => void;
    onVisibleChanged: (this: google.maps.Marker, visible: boolean) => void;
    onZIndexChanged: (this: google.maps.Marker, zIndex: number) => void;
    onClick: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onContextMenu: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onDblClick: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onDrag: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onDragEnd: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onDragStart: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onMouseDown: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onMouseMove: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onMouseOut: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onMouseOver: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onMouseUp: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
    onRightClick: (this: google.maps.Marker, e: google.maps.MapMouseEvent) => void;
} & {
    animation: NonNullable<google.maps.Animation | null | undefined>;
    clickable: boolean;
    cursor: string;
    draggable: NonNullable<boolean | null>;
    icon: NonNullable<string | google.maps.Icon | google.maps.Symbol | null | undefined>;
    label: NonNullable<string | google.maps.MarkerLabel | null | undefined>;
    opacity: number;
    position: NonNullable<google.maps.LatLng | google.maps.LatLngLiteral | null | undefined>;
    shape: google.maps.MarkerShape;
    title: string;
    visible: boolean;
    zIndex: number;
} & CommonProps<google.maps.Marker>> & PreventLoadProps & react.RefAttributes<google.maps.Marker>>;

export { type MarkerProps, Marker as default };
