/// <reference types="google.maps" />

import * as react from 'react';
import { ComponentProps } from 'react';
import { C as CommonProps } from '../types-6fqaupRi.js';

type PolylineProps = ComponentProps<typeof Polyline>;
declare const Polyline: react.ForwardRefExoticComponent<Partial<{
    onClick: (this: google.maps.Polyline, e: google.maps.PolyMouseEvent) => void;
    onContextMenu: (this: google.maps.Polyline, e: google.maps.PolyMouseEvent) => void;
    onDblClick: (this: google.maps.Polyline, e: google.maps.PolyMouseEvent) => void;
    onMouseDown: (this: google.maps.Polyline, e: google.maps.PolyMouseEvent) => void;
    onMouseUp: (this: google.maps.Polyline, e: google.maps.PolyMouseEvent) => void;
    onMouseMove: (this: google.maps.Polyline, e: google.maps.PolyMouseEvent) => void;
    onMouseOut: (this: google.maps.Polyline, e: google.maps.PolyMouseEvent) => void;
    onMouseOver: (this: google.maps.Polyline, e: google.maps.PolyMouseEvent) => void;
    onRightClick: (this: google.maps.Polyline, e: google.maps.PolyMouseEvent) => void;
    onDrag: (this: google.maps.Polyline, e: google.maps.MapMouseEvent) => void;
    onDragEnd: (this: google.maps.Polyline, e: google.maps.MapMouseEvent) => void;
    onDragStart: (this: google.maps.Polyline, e: google.maps.MapMouseEvent) => void;
} & {
    draggable: boolean;
    editable: boolean;
    path: NonNullable<google.maps.MVCArray<google.maps.LatLng> | (google.maps.LatLng | google.maps.LatLngLiteral)[]>;
    visible: boolean;
} & CommonProps<google.maps.Polyline>> & react.RefAttributes<google.maps.Polyline>>;

export { type PolylineProps, Polyline as default };
